[metadata]
name = pbalancing
url = https://gitlab.com/elad.noor/parameter-balancing/
download_url = https://pypi.org/project/pbalancing/
project_urls =
    Source Code = https://gitlab.com/elad.noor/parameter-balancing/
    Bug Tracker = https://gitlab.com/elad.noor/parameter-balancing/-/issues
author = Timo Lubitz, Elad Noor, Wolfram Liebermeister
author_email = elad.noor@weizmann.ac.il
classifiers =
    Development Status :: 4 - Beta
    Intended Audience :: Science/Research
    License :: OSI Approved :: MIT License
    Natural Language :: English
    Operating System :: OS Independent
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Topic :: Scientific/Engineering :: Bio-Informatics
license = MIT
description = Parameter balancing of metabolic models in systems biology
long_description = file: README.md
long_description_content_type = text/markdown
keywords =
    parameter balancing
    bayesian inference
    multivariate Gaussian distribution

[options]
zip_safe = True
install_requires =
    path~=16.4
    numpy~=1.22
    cvxpy~=1.2
    scipy~=1.8
    python-libsbml~=5.19
    sbtab~=1.0
    pint~=0.19
    uncertainties~=3.1
    polyround~=0.1
    hopsy~=1.0.0b0
python_requires = >=3.8
tests_require =
    tox
packages = find:
package_dir =
     = src

[options.packages.find]
where = src

[options.extras_require]
test =
    pytest
    pytest-cov
    pytest-raises
    pytest-allclose
development =
    black~=22.1
    isort~=5.10
    flake8~=4.0
    safety~=1.10
    tox~=3.24
    twine~=3.8
deployment =
    click
    click-log
    python-dateutil
    requests

[options.package_data]
pbalancing.data =
    *.tsv

# See the docstring in versioneer.py for instructions. Note that you must
# re-run 'versioneer.py setup' after changing this section, and commit the
# resulting files.

[versioneer]
VCS = git
style = pep440
versionfile_source = src/pbalancing/_version.py
versionfile_build = pbalancing/_version.py
tag_prefix =
parentdir_prefix = parameter-balancing-
